# CitizenDetails

### Output&#x20;

| Attribute                                             | Type   | Description                                                                 |
| ----------------------------------------------------- | ------ | --------------------------------------------------------------------------- |
| [*containerCitizenData*](#container-citizen-data)     | object | Container object used to store citizen data                                 |
| *containerCitizenDataSigningTime*                     | number | Time of data container sign via the mObywatel system in the UnixTime format |
| *dataSetType*                                         | number | Internal id of chosen data set. In this case it will be 7.                  |
| [*certificateCitizenData*](#certificate-citizen-data) | object | Object used to store certificate data                                       |
| requestId                                             | string | Id of the request in UUID format                                            |
| recipientId                                           | string | External id                                                                 |

### Container Citizen Data

| Attribute               | Type   | Description                           |
| ----------------------- | ------ | ------------------------------------- |
| [dc](#citizen-details)  | object | Object used to store citizen details  |
| [dh](#document-details) | object | Object used to store document details |

### Certificate Citizen Data

| Attribute | Type   | Description            |
| --------- | ------ | ---------------------- |
| names     | string | Names of the citizen   |
| surname   | string | Surname of the citizen |
| pesel     | string | Pesel of the citizen   |

### Citizen Details

| Attribute | Type   | Description              |
| --------- | ------ | ------------------------ |
| bc        | string | Birth place              |
| ntl       | string | Nationality              |
| su        | string | Surname                  |
| p         | string | PESEL number             |
| pIdCN     | string | Identity Document number |

### Document details

| Attribute | Type   | Description                                             |
| --------- | ------ | ------------------------------------------------------- |
| tp        | string | Document type                                           |
| stp       | string | Document subtype                                        |
| ver       | string | Version of the document                                 |
| db        | string | Details of citizen's certificate used to release data   |
| sn        | string | Number of citizen's certificate used to release data    |
| isr       | string | Issuer of citizen's certificate used to release data    |
| ts        | string | Timestamp of data release in format *YYYYMMDDHHmmssSSS* |
| *rId*     | string | Id of data release in UUID format                       |
| *iid*     | string | Internal id of data release in UUID format              |
| pe        | pesel  | Pesel of the citizien                                   |
| id        | string | Data issuing authority                                  |

### Output Example

```
{
    "containerCitizenData": {
        "dc": {
            "bC": "PL",
            "ntl": "POLSKIE",
            "n": "JAN",
            "su": "KOWALSKI",
            "p": "18282489381",
            "pIdCN": "OYR159277"
        },
        "dh": {
            "tp": 7,
            "stp": 1,
            "ver": 1,
            "dn": "C=PL, serialNumber=PNOPL-85120500779, surname=ANIELSKI, givenName=ANATOL,CN=ANATOL ANIELSKI",
            "sn": "7fba9b123123sadsa12e8b89ace65df2",
            "isr": "CN=MTMid prodCopy,O=Kancelaria Prezesa Rady Ministrów,C=PL",
            "ts": "20230605073010624",
            "rId": "41e514c5dbe648d6ad4033185c8be42d",
            "iid": "bbdac08dd8c74dfbb89d5d186eb08d76",
            "pe": "18282489381", //Pesel
            "id": "Kancelaria Prezesa Rady Ministrów"
        }
    },
    "containerCitizenDataSigningTime": 1685950211000,
    "certificateCitizenData": {
        "names": "JAN",
        "surname": "KOWALSKI",
        "pesel": "18282489381"
    },
    "dataSetType": 7,
    "requestId": "ccbe9d38-4997-4e1a-99ac-761b9eb473d5",
    "recipientId": "7"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/mobywatel/citizendetails.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
